// makes inven stations and panels hard to destroy

StaticShapeData InventoryStation
{
   description = "Station Supply Unit";
	shapeFile = "inventory_sta";
	className = "Station";
	visibleToSensor = true;
	sequenceSound[0] = { "activate", SoundActivateInventoryStation };
	sequenceSound[1] = { "power", SoundInventoryStationPower };
	sequenceSound[2] = { "use", SoundUseInventoryStation };
	maxDamage = 1000.0;
	debrisId = flashDebrisLarge;
	mapFilter = 4;
	mapIcon = "M_station";
	damageSkinData = "objectDamageSkins";
	shadowDetailMask = 16;
	triggerRadius = 1.5;
   explosionId = flashExpLarge;
};

StaticShapeData SOnePanel
{
	shapeFile = "dsply_s1";
	debrisId = defaultDebrisSmall;
	explosionId = debrisExpMedium;
	maxDamage = 1000.0;
	damageSkinData = "objectDamageSkins";
   description = "Panel";
};

// LEAVE MISSION AREA
// IF YOU LEAVE MISSION AREA, YOU CANT MORTAR A BOT

function Player::checkLMATimeout(%player, %seqCount)
{
   if(%player.dieSeqCount == %seqCount)
      remoteKill(Player::getClient(%player));
}

function Player::enterMissionArea(%player)
{
	%cl = Player::getClient(%player);
	Client::sendMessage(%cl,3,"You have re-entered the mission area.");
	%cl.cankillbot = "true";
	%player.outArea="";
	%player.dieSeqCount = 0;
	%player.timeLeft = %player.timeLeft - (getSimTime() - %player.leaveTime);
}
  

function alertPlayer(%player, %count)
{
	%clIentid = Player::getClient(%player);
	if(%player.outArea == 1)
	{
		Client::sendMessage(%clientId,1,"~wLeftMissionArea.wav");
		%clientId = Player::getClient(%player);
		%clientid.cankillbot = "false";
	}
}

echo("----------------------------------------------------");
echo("hardinvis.cs has been initialized!");
echo("----------------------------------------------------");